# DerivedElement

class xsdata.formats.dataclass.models.generics.DerivedElement(qname, value, type=None)

  Generic model wrapper for type substituted elements.

  Example: eg. <b xsi:type=”a”>…</b>

  Parameters:

    - qname (`str`) – The element’s qualified name

    - value (`TypeVar`(`T`, bound= `object`)) – The wrapped value

    - type (`Optional`[`str`]) – The real xsi:type

  __class_getitem__()

    Parameterizes a generic class.

    At least, parameterizing a generic class is the main thing this method does. For example, for some generic class Foo, this is called when we do Foo[int] - there, with cls=Foo and params=int.

    However, note that this method is also called when defining generic classes in the first place with class Foo[T]: ….

  __eq__(other)

    Return self==value.

  __hash__ = None
  __init_subclass__()

    Function to initialize subclasses.